OCF_HEARTBEAT_SENDAR(7)

NAME
ocf_heartbeat_SendArp - Broadcasts unsolicited ARP announcements

SYNOPSIS

SendArp [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This RA can be used _instead_ of the IPaddr2 or IPaddr RA to send gratuitous ARP for an IP address on a given interface, without adding the address to that interface. For example, if for some reason you wanted to send gratuitous ARP for addresses managed by IPaddr2 or IPaddr on an additional interface.

SUPPORTED PARAMETERS

ip
    The IP address for sending ARP packet.

    (required, string, no default)

nic
    The NIC for sending ARP packet.

    (required, string, no default)

background
    Send ARPs in background. Set to false if you want to test if sending ARPs succeeded.

    (optional, boolean, default true)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

EXAMPLE CRM SHELL

The following is an example configuration for a SendArp resource using the crm(8) shell:

    primitive p_SendArp ocf:heartbeat:SendArp \
      params \
        ip=string \
        nic=string \
      op monitor depth="0" timeout="20s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a SendArp resource using pcs(8)

    pcs resource create p_SendArp ocf:heartbeat:SendArp \
      ip=string \
      nic=string \
      op monitor depth="0" timeout="20s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)